Commit 846d1b3e authored by Jan Djärv's avatar Jan Djärv
Browse files

Don't use -lpthread on HP-UX.

parent 4e0a4fdc
2007-09-16 Peter O'Gorman <bug-gnu-emacs@mlists.thewrittenword.com> (tiny change)
* configure.in: Don't use -lpthread on HP-UX.
2007-09-02 Jan Dj,Ad(Brv <jan.h.d@swipnet.se>
* configure.in: Require Gtk/Glib 2.6.
......
......@@ -11683,7 +11683,10 @@ fi
fi
if test "$HAVE_GTK_AND_PTHREAD" = yes; then
GTK_LIBS="$GTK_LIBS -lpthread"
case "${canonical}" in
*-hpux*) ;;
*) GTK_LIBS="$GTK_LIBS -lpthread" ;;
esac
cat >>confdefs.h <<\_ACEOF
#define HAVE_GTK_AND_PTHREAD 1
......
......@@ -2165,7 +2165,10 @@ if test "${with_gtk}" = "yes" || test "$USE_X_TOOLKIT" = "gtk"; then
AC_CHECK_LIB(pthread, pthread_self, HAVE_GTK_AND_PTHREAD=yes)
fi
if test "$HAVE_GTK_AND_PTHREAD" = yes; then
GTK_LIBS="$GTK_LIBS -lpthread"
case "${canonical}" in
*-hpux*) ;;
*) GTK_LIBS="$GTK_LIBS -lpthread" ;;
esac
AC_DEFINE(HAVE_GTK_AND_PTHREAD, 1,
[Define to 1 if you have GTK and pthread (-lpthread).])
fi
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment